// -*- coding: euc-jp-unix -*-
// J.DepP -- Japanese Dependency Parsers
//  $Id: jdepp_conf.h 538 2011-04-07 07:14:19Z ynaga $
// Copyright (c) 2008-2011 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
#ifndef JDEPP_CONFIG_H
#define JDEPP_CONFIG_H
// configure options for J.DepP

// specify POS set used in the frontend morphological analysis
#define USE_JUMAN_POS
// #define USE_IPA_POS

// use features employed in Yoshinaga and Kitsuregawa (EMNLP 2009)
// unset this option when you want to achieve +1% dependency accuracy
// (but the parsing speed will be 1.5-2 times slower)
// #define USE_EMNLP_FEAT

#ifdef USE_EMNLP_FEAT
#ifndef USE_JUMAN_POS
#define USE_JUMAN_POS
#endif
#undef USE_IPA_POS
#endif

#define COMMA         ""
#define PERIOD        ""
#define POST_PARTICLE ""

#if defined (USE_JUMAN_POS)
#define JUMAN_BRACKET_START "̻"
#define JUMAN_BRACKET_END   "̽"
#define JUMAN_SPECIAL       "ü"
#ifdef USE_EMNLP_FEAT
#define JUMAN_SUFFIX        ""
#endif
#elif defined (USE_IPA_POS)
#define IPA_BRACKET_START "̳"
#define IPA_BRACKET_END   ""
#define IPA_SPECIAL       ""
#endif

#endif /* PECCO_CONFIG_H */
